predprob.ideal {pscl} | R Documentation

## predicted probabilities from fitting ideal to rollcall data

### Description

Computes predicted probabilities of a “Yea” vote conditional on the posterior means of the legislators' ideal points and vote-specific parameters.

### Usage

    ## S3 method for class 'ideal'
    predprob(obj, ...)

### Arguments

`obj` | An object of class `ideal`
`...` | Arguments to be passed to other functions

### Details

This is a wrapper function to `predict.ideal`, extracting just the predicted probabilities component of the object returned by that function. Predicted probabilities can and are generated for each voting decision, irrespective of whether the legislator actually voted on any particular roll call.

### Value

A `matrix` of dimension `n` (number of legislators) by `m` (number of roll call votes).

### Author(s)

Simon Jackman simon.jackman@sydney.edu.au

### See Also

`ideal`, `predprob`, `predict.ideal`

### Examples

    f <- system.file("extdata","id1.rda",package="pscl")
    load(f)
    phat <- predprob(id1)
    dim(phat)

[Package pscl version 1.5.2 Index]